; MODULE - LevelDataA.s
;
; Copyright (c) 2012 Mark Ball. All rights reserved.
; Started by Mark Ball, September 2012
;
; Additional level packs.
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;

; ------------------------------------------------------------------
; Equates.
; ------------------------------------------------------------------
; Offsets into the Bit Twiddlers level pack.
BIT_TWID_L1 equ 16
BIT_TWID_L2 equ ($0D54-$0CD0)+16
BIT_TWID_L3 equ ($0DD1-$0CD0)+16
BIT_TWID_L4 equ ($0E50-$0CD0)+16
BIT_TWID_L5 equ ($0EBE-$0CD0)+16
BIT_TWID_L6 equ ($0F32-$0CD0)+16
BIT_TWID_L7 equ ($0FB7-$0CD0)+16
BIT_TWID_L8 equ ($1060-$0CD0)+16

; ------------------------------------------------------------------
; Code starts here.
; ------------------------------------------------------------------
    .text
    .68000

; ------------------------------------------------------------------
; Bit Twiddlers - Table of level data entry points.
; ------------------------------------------------------------------
    .text
    .even
    .globl _KBitTwiddlersLevels
_KBitTwiddlersLevels:
    dc.l _KBitTwiddlersLevelPackData+BIT_TWID_L1
    dc.l _KBitTwiddlersLevelPackData+BIT_TWID_L2
    dc.l _KBitTwiddlersLevelPackData+BIT_TWID_L3
    dc.l _KBitTwiddlersLevelPackData+BIT_TWID_L4
    dc.l _KBitTwiddlersLevelPackData+BIT_TWID_L5
    dc.l _KBitTwiddlersLevelPackData+BIT_TWID_L6
    dc.l _KBitTwiddlersLevelPackData+BIT_TWID_L7
    dc.l _KBitTwiddlersLevelPackData+BIT_TWID_L8

; ------------------------------------------------------------------
; Bit Twiddlers - Level data (taken from BBC micro).
; ------------------------------------------------------------------
    .text
    .globl _KBitTwiddlersLevelPackData
_KBitTwiddlersLevelPackData:
    .incbin "..\\data\\packs\\L.CHUKEE"

; ------------------------------------------------------------------
; END
; ------------------------------------------------------------------
    .end
