//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef _RASTER_H
#define _RASTER_H

extern void DrawTimer(int n);
extern void DrawBonus(int n);
extern void DrawScore(int n, int oldval, int newval);
extern void DrawLife(int n);

extern void InitPlayer(void);
extern void InitDucks();
extern void InitLifts(void);
extern void RemoveTile(unsigned short aX, unsigned short aY);
extern void DrawTitle(void);
extern void DrawGetReady(void);
extern void DrawGameOver(void);

#endif /* _RASTER_H */
