; MODULE - TITLEA.S
;
; Copyright (c) 2012 Mark Ball. All rights reserved.
; Started by Mark Ball, August 2012
;
; Title page data.
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;

; ------------------------------------------------------------------
; Code starts here.
; ------------------------------------------------------------------
    .text
    .68000

; ------------------------------------------------------------------
; Title page bitmap.
; ------------------------------------------------------------------
    .phrase
    .globl _KTitlePageData
_KTitlePageData:
    .incbin "..\\data\\gfx\\common\\title.gfx"

; ------------------------------------------------------------------
; Game over bitmap.
; ------------------------------------------------------------------
    .phrase
    .globl _KGameOverBitmapData
_KGameOverBitmapData:
    .incbin "..\\data\\gfx\\common\\gameover.gfx"

; ------------------------------------------------------------------
; Get ready bitmap.
; ------------------------------------------------------------------
    .phrase
    .globl _KGetReadyBitmapData
_KGetReadyBitmapData:
    .incbin "..\\data\\gfx\\common\\getready.gfx"

; ------------------------------------------------------------------
; Credits bitmap.
; ------------------------------------------------------------------
    .phrase
    .globl _KCreditsBitmapData
_KCreditsBitmapData:
    .incbin "..\\data\\gfx\\common\\credits.gfx"

; ------------------------------------------------------------------
; High scores bitmap.
; ------------------------------------------------------------------
    .phrase
    .globl _KHighScoresBitmapData
_KHighScoresBitmapData:
    .incbin "..\\data\\gfx\\common\\highscores.gfx"

; ------------------------------------------------------------------
; High score name entry bitmap.
; ------------------------------------------------------------------
    .phrase
    .globl _KHighScoreNameEntryBitmapData
_KHighScoreNameEntryBitmapData:
    .incbin "..\\data\\gfx\\common\\highscoreNameEntry.gfx"

; ------------------------------------------------------------------
; High score name entry parts bitmap.
; ------------------------------------------------------------------
    .phrase
    .globl _KHighScoreNameEntryPartsBitmapData
_KHighScoreNameEntryPartsBitmapData:
    .incbin "..\\data\\gfx\\common\\highscoreNameEntryParts.gfx"

; ------------------------------------------------------------------
; END
; ------------------------------------------------------------------
    .end

